microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Paramètres de chemin d’accès
name
string
obligatoire
The name of the resource
version
string
obligatoire
The specific version id of the DatasetVersion to operate on.
Réponses
The request has succeeded.
Corps
Content-Type: application/json
blobReference
BlobReference
obligatoire
Blob reference details.
blobUri
string
obligatoire
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
obligatoire
ARM ID of the storage account to use.
credential
SasCredential
obligatoire
SAS Credential definition
sasUri
string
obligatoire
SAS uri
type
enum
obligatoire
Type of credential
SAS
Requête
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json